function ShowConvergenceHist(K,Rho,SUCCESS,tol0,str)

global SHOWGRAPHS MyPTYPE


if SHOWGRAPHS
  clf, hold off, 
  k=size(K,2);
  h=plot(K,log10(Rho/Rho(1)),'.');
  legend('log_{10}(|r_k|_2/|b|_2)')
  if SUCCESS
    xlabel(sprintf('reached residual reduction %g in %d MVs',tol0,K(k)))
  end                        
  ylabel('log10(|r_k|/|r_0|)')       
  title(sprintf('Convergence history (scaled residual) %s (%s)',str,MyPTYPE))       
end

return
